# Data Info File
# Cal Wing - Oct 24

long_name: "Shot 2 (x2s5827) - Thin Probe Pair (ST2 & ST3) - 2024-10-16\nProtruding ST2 & ST3 - Mars Entry Conditions"
name: "Shot 3"
date: "2024-10-16"
time: "18:40"

shot-info: 
  name: "x2s5827"
  tdms: "x2s5827.tdms"
  config: "x2s5827.config"
  info: "x2s5827.txt"

pcb-canny:
  - sigma: 4
    post_pres: 0.05

# Canny Args
canny-args:
  - sigma: 2
    post_pres: 0.03
  
  - sigma: 0.75
    post_pres: 0.1

no-graph:
  - "None"
  - "at1"
  - "at2"
  - "at3"

  - "at4"
  - "at5"
  - "at6"

pcb-refs:
  - "st1"
  
  - "at1"
  - "at2"
  - "at3"
  
  - "at4"
  - "at5"
  - "at6"


probe-info:
  type: "Thin"
  overhang: 1 # mm
  c2c: 5.6 # mm
  gauge-diam: 0.8 # mm
  gauge-c2c: 1.8 #mm
  dist-uncert: 0.8 #mm

  gauges:
    - 1
    - 2
  locations: # In order of pulse
    - "st2"
    - "st3"

  data-records:
    - type: "scope"
      config: "eProbe-Scope.txt"
      data: "eProbe-Scope.csv"
      time-uncert: 0.00000001428571428571 # s
    
      trigger: # Redundant?
        type: "channel"
        channel: 4
        alignment-offset: 0 # 601 # us [TODO] Make this auto-magic
        delay: 100 # us

